"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateControllers = void 0;
const v2_1 = require("./v2");
const v3_1 = require("./v3");
const generateControllers = (openApiDocument, options, context, log) => {
    return 'swagger' in openApiDocument
        ? (0, v2_1.fromV2)(openApiDocument, options, context, log)
        : (0, v3_1.fromV3)(openApiDocument, options, context, log);
};
exports.generateControllers = generateControllers;
