import { JSONSchema7 } from 'json-schema';
export interface ControllerTemplateArgs {
    httpMethod: string;
    expressPath: string;
    requestTypeName: string;
    responseTypeName: string;
    controllerTypeName: string;
    controllerMethodName: string;
    pathParamsType?: string;
    responseBodyType: string;
    bodyParamType: string;
    queryParamsType?: string;
    statusCodeType?: string;
    querySchema?: JSONSchema7;
    bodySchema?: JSONSchema7;
    pathSchema?: JSONSchema7;
}
export declare const controllerTemplate: ({ requestTypeName, responseTypeName, controllerTypeName, controllerMethodName, pathParamsType, responseBodyType, bodyParamType, queryParamsType, statusCodeType }: ControllerTemplateArgs) => string;
