import * as OpenApiV2 from '../../../types/OpenApiV2';
import 'ts-array-extensions';
import { LogFn } from '../../../lib/cli-logging';
import { TypeDefContext } from '../../../helpers/open-api/TypeDefContext';
export declare const fromV2: (document: OpenApiV2.Document, options: {
    nonRequiredType: "optional" | "nullable" | "both";
    readonlyDTOs: boolean;
    emptyType: "never" | "unknown" | "{}";
}, context: TypeDefContext, log?: LogFn) => string;
