import * as OpenApiV2 from '../../../types/OpenApiV2';
import { TypeDefContext } from '../TypeDefContext';
export declare const typeDefForSchema: (schemas: OpenApiV2.SchemaObject | OpenApiV2.SchemaObject[], document: OpenApiV2.Document, options: {
    nonRequiredType: "optional" | "nullable" | "both";
    binaryType?: "Buffer" | "Blob";
    readonlyDTOs: boolean;
    emptyType: "never" | "unknown" | "{}";
}, context: TypeDefContext) => string;
