"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.objectTemplate = void 0;
const fieldTemplate_1 = require("../../../templates/fieldTemplate");
const objectTemplate = (fields, options) => {
    return fields.none()
        ? options.emptyType
        : `{${fields
            .map(f => (0, fieldTemplate_1.fieldTemplate)(f.name, f.required, f.type, options))
            .join(';')}}`;
};
exports.objectTemplate = objectTemplate;
