import * as OpenApiV3 from '../../../types/OpenApiV3';
import 'ts-array-extensions';
import { LogFn } from '../../../lib/cli-logging';
import { TypeDefContext } from '../../../helpers/open-api/TypeDefContext';
export declare const fromV3: (document: OpenApiV3.Document, options: {
    nonRequiredType: "optional" | "nullable" | "both";
    readonlyDTOs: boolean;
    emptyType: "never" | "unknown" | "{}";
}, context: TypeDefContext, log?: LogFn) => string;
