import { JSONSchema7 } from 'json-schema';
export interface HandlerTemplateArgs {
    httpMethod: string;
    expressPath: string;
    requestTypeName: string;
    responseTypeName: string;
    handlerTypeName: string;
    handlerInstanceName: string;
    pathParamsType?: string;
    responseBodyType: string;
    bodyParamType: string;
    queryParamsType?: string;
    statusCodeType?: string;
    querySchema?: JSONSchema7;
    bodySchema?: JSONSchema7;
    pathSchema?: JSONSchema7;
}
export declare const handlerTemplate: ({ requestTypeName, responseTypeName, handlerTypeName, pathParamsType, responseBodyType, bodyParamType, queryParamsType, statusCodeType }: HandlerTemplateArgs) => string;
