"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateMethods = void 0;
const v3_1 = require("./v3");
const v2_1 = require("./v2");
const generateMethods = (openApiDocument, options, context, log) => {
    if ('swagger' in openApiDocument) {
        return (0, v2_1.fromV2)(openApiDocument, options, context, log);
    }
    return (0, v3_1.fromV3)(openApiDocument, options, context, log);
};
exports.generateMethods = generateMethods;
