"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.methodsOfPathItemObject = void 0;
const methodsOfPathItemObject = (pathItemObject) => {
    return Object.keys(pathItemObject).compactMap(method => {
        if (method === '$ref' || method === 'parameters') {
            return undefined;
        }
        const op = pathItemObject[method];
        if (!op) {
            return undefined;
        }
        return [method, op];
    });
};
exports.methodsOfPathItemObject = methodsOfPathItemObject;
