import * as OpenApiV2 from '../../../types/OpenApiV2';
import { TypeDefContext } from '../TypeDefContext';
export declare const typeDefForReference: (schema: OpenApiV2.ReferenceObject, document: OpenApiV2.Document, options: {
    nonRequiredType: "optional" | "nullable" | "both";
    binaryType?: "Buffer" | "Blob";
    readonlyDTOs: boolean;
    emptyType: "never" | "unknown" | "{}";
}, context: TypeDefContext, recursiveLookup: (schema: OpenApiV2.SchemaObject, document: OpenApiV2.Document, options: {
    nonRequiredType: "optional" | "nullable" | "both";
    readonlyDTOs: boolean;
    emptyType: "never" | "unknown" | "{}";
}, context: TypeDefContext) => string) => string;
