"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.typeDefForReference = void 0;
const json_pointer_1 = __importDefault(require("json-pointer"));
const typeDefForReference = (schema, document, options, context, recursiveLookup) => {
    const pointer = schema.$ref.split('#')[1];
    const node = json_pointer_1.default.get(document, pointer);
    return recursiveLookup(node, document, options, context);
};
exports.typeDefForReference = typeDefForReference;
